# Data Plans

## Data Plans

<mark style="color:blue;">`GET`</mark> `{{base_url}}/getdataplans`

#### Headers

| Name                                            | Type       | Description                      |
| ----------------------------------------------- | ---------- | -------------------------------- |
| authorization<mark style="color:red;">\*</mark> | PUBLIC KEY | Set value to `Bearer PUBLIC_KEY` |

#### Request Body

| Name                                       | Type   | Description                                                                                                                                      |
| ------------------------------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| provider<mark style="color:red;">\*</mark> |        | Network Provider e.g. MTN, AIRTEL, GLO, 9MOBILE                                                                                                  |
| datatype                                   | String | <p> Pass data as direct or sme to get Direct data or SME plans respectively. </p><p>When nothing is passed, SME data plans would be returned</p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "message": "Data Plans Retrieved",
    "data": [
        {
            "pname": "MTN 1.0GB/30days",
            "price": 260,
            "datacode": "1000",
            "point": "1.0"
        },
        {
            "pname": "MTN 1.0GB/30days (SME)",
            "price": 260,
            "datacode": "mtn1000sme",
            "point": "1.0"
        },
        {
            "pname": "MTN 10.0GB/30days",
            "price": 2900,
            "datacode": "10000",
            "point": "10.0"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET 'https://api.oneappgo.com/v1/getdataplans?provider=MTN' \
--header 'Authorization: Bearer PUBLIC_KEY'
```

{% endtab %}

{% tab title="NodeJs" %}

```
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.oneappgo.com/v1/getdataplans?provider=MTN',
  'headers': {
    'Authorization': 'Bearer PUBLIC_KEY'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/getdataplans?provider=MTN',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer PUBLIC_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://api.oneappgo.com/v1/getdataplans?provider=MTN"

payload={}
headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}

{% tab title="Dart" %}

```
var headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
};
var request = http.Request('GET', Uri.parse('https://api.oneappgo.com/v1/getdataplans?provider=MTN'));

request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
    "status": true,
    "message": "Data Plans Retrieved",
    "data": [
        {
            "pname": "MTN 1.0GB/30days",
            "price": 260,
            "datacode": "1000",
            "point": "1.0",
            "dtype": "sme"
        },
        {
            "pname": "MTN 1.0GB/30days (SME)",
            "price": 260,
            "datacode": "mtn1000sme",
            "point": "1.0",
            "dtype": "sme"
        },
        {
            "pname": "MTN 10.0GB/30days",
            "price": 2900,
            "datacode": "10000",
            "point": "10.0"
            "dtype": "direct"
        }
    ]
}
```
